import time, kooka, fonts

disp = kooka.display
accel = kooka.accel
num_sec = 10

for run_number in range(100):
    filename = 'accel%02u.csv' % run_number

    while True:
        disp.fill(0)
        disp.setfont(fonts.mono8x8)
        disp.text('Log accel data', 0, 6)
        disp.text('to: %s' % filename, 0, 14)
        disp.text('for: %d sec' % num_sec, 0, 22)
        disp.setfont(fonts.mono6x7)
        disp.text('A - exit', 0, 35)
        disp.text('B - start', 0, 43)
        disp.text('C - dec time', 0, 51)
        disp.text('D - inc time', 0, 59)
        disp.show()
        if kooka.button_a.was_pressed():
            raise SystemExit
        if kooka.button_b.was_pressed():
            break
        if kooka.button_c.was_pressed():
            num_sec = max(1, num_sec - 1)
        if kooka.button_d.was_pressed():
            num_sec = min(20, num_sec + 1)

    for i in (3, 2, 1):
        disp.fill(0)
        disp.setfont(fonts.mono8x8)
        disp.text('Log accel data', 0, 6)
        disp.text('to: %s' % filename, 0, 14)
        disp.text('Starting in %d...' % i, 0, 30)
        disp.show()
        time.sleep(1)

    disp.fill(0)
    disp.setfont(fonts.mono8x8)
    disp.text('Log accel data', 0, 6)
    disp.text('to: %s' % filename, 0, 14)
    disp.text('Logging data...', 0, 30)
    disp.show()

    samp_interval_ms = 20
    num_samp = num_sec * 1000 // samp_interval_ms
    with open(filename, 'wt') as f:
        t0 = time.ticks_ms()
        for i in range(num_samp):
            while True:
                t = time.ticks_ms()
                if time.ticks_diff(t, t0) >= i * samp_interval_ms:
                    break

            x, y, z = accel.get_xyz()
            f.write('%d,%.3f,%.3f,%.3f\n' % (t - t0, x, y, z))

    disp.fill(0)
    disp.setfont(fonts.mono8x8)
    disp.text('Log accel data', 0, 6)
    disp.text('to: %s' % filename, 0, 14)
    disp.text('Done', 0, 30)
    disp.text('Num samples: %d' % num_samp, 0, 38)
    disp.text('Total time : %d sec' % num_sec, 0, 46)
    disp.show()
    time.sleep(5)
