# File name: WaterText.py
# Copyright: The AustSTEM Foundation Limited
# Author: Tony Strasser/JP
# Date created: 28 July 2018
# Date last modified: 5 August 2019
# MicroPython Version: 1.10 for the Kookaberry V4-05
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation.
# To the fullest extent permitted by law, AustSTEM absolutely disclaims 
# all warranties, expressed or implied, including, but not limited to, 
# implied warranties of merchantability and fitness for any particular purpose. 
# AustSTEM gives no warranty that this software will be free of errors, 
# or that defects in the software will be corrected,  
# See the GNU General Public License for more details.

# App modified from "Feed Me" to reflect the fact that watering does NOT "feed" a plant
# Water provides the chemical environment for the plant to make its own nutrients.

# This app only displays "Water Me!" in large font on the display
# and displays an exit message for 3 seconds.
import time, kooka, fonts

disp = kooka.display

while not kooka.button_a.was_pressed():
    disp.fill(0)
    disp.setfont(fonts.sans12)
    disp.text('Water Me!', 10, 30)
    disp.setfont(fonts.mono6x7)
    disp.text('A-exit', 0, 55)
    disp.show()
    time.sleep_ms(100)
# Exit routine
disp.fill(0)
disp.setfont(fonts.sans12)
disp.text('Thanks!', 15, 30)
disp.setfont(fonts.mono8x8)
disp.text('See you', 0, 45)
disp.text('next time...', 0, 55)
disp.show()
time.sleep(3)
disp.fill(0)
disp.show()